Merge pull request #21068 from owncloud/fix-exit-code-autotest-external

Fix exit code autotest external
This commit is contained in:
Thomas Müller 2015-12-09 13:02:25 +01:00
commit 7fb2f7f5fe
3 changed files with 9 additions and 3 deletions

View File

@ -19,7 +19,7 @@ user=smb-test
password=!owncloud123
host=WIN-9GTFAS08C15
if ! "$thisFolder"/env/wait-for-connection ${host} 445 0; then
if ! "$thisFolder"/env/wait-for-connection ${host} 445; then
echo "[ERROR] Server not reachable" >&2
exit 1
fi

View File

@ -193,7 +193,8 @@ EOF
echo "name: $name"
# execute start file
if ./$FILES_EXTERNAL_BACKEND_ENV_PATH/$startFile; then
./$FILES_EXTERNAL_BACKEND_ENV_PATH/$startFile
if [ $? -eq 0 ]; then
# getting backend to test from filename
# it's the part between the dots startSomething.TestToRun.sh
testToRun=`echo $startFile | cut -d '-' -f 2`
@ -209,6 +210,8 @@ EOF
"$PHPUNIT" --configuration phpunit-autotest-external.xml --log-junit "autotest-external-results-$1-$name.xml" "$FILES_EXTERNAL_BACKEND_PATH/$testToRun.php"
RESULT=$?
fi
else
DOEXIT=1
fi
# calculate stop file
@ -218,6 +221,10 @@ EOF
# execute stop file if existant
./$FILES_EXTERNAL_BACKEND_ENV_PATH/$stopFile
fi
if [ "$DOEXIT" ]; then
echo "Error during start file execution ... terminating"
exit $DOEXIT
fi
done;
}

View File

@ -1,6 +1,5 @@
<?xml version="1.0" encoding="utf-8" ?>
<phpunit bootstrap="bootstrap.php"
strict="true"
verbose="true"
timeoutForSmallTests="900"
timeoutForMediumTests="900"